ptrutils.h File Reference

Provides function objects for use in the Standard Template Library that take pointers as arguments but work with the pointees instead. More...

`#include <memory>`
`#include "regina-core.h"`

## Classes

class | regina::LessDeref< T, Comp >
| An adaptable binary function used to compare the objects to which pointers are pointing. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

template<typename T >
T * | regina::clonePtr (T *cloneMe)
| A simple routine for cloning an object if and only if it exists. More...
template<typename T >
T * | regina::clonePtr (const std::unique_ptr< T > &cloneMe)
| A simple routine for cloning an object if and only if it exists. More...

## Detailed Description

Provides function objects for use in the Standard Template Library that take pointers as arguments but work with the pointees instead.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).